Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Mult_Expr Class Reference

****************************************************************. More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Mult_Expr:

[legend]
Collaboration diagram for TAO_PSDL_Mult_Expr:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Mult_Expr (TAO_PSDL_Node *unary_expr)
| ****************************************************************. More...
| TAO_PSDL_Mult_Expr (TAO_PSDL_Node *mult_expr, TAO_PSDL_Node *unary_expr)
| TAO_PSDL_Mult_Expr (TAO_PSDL_Node *mult_expr, TAO_PSDL_Node *type, TAO_PSDL_Node *unary_expr)
virtual | ~TAO_PSDL_Mult_Expr (void)
TAO_PSDL_Node * | type (void) const
| Get the value. More...
TAO_PSDL_Node * | unary_expr (void) const
TAO_PSDL_Node * | mult_expr (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods. More...
## Private Attributes
TAO_PSDL_Node * | mult_expr_
| The values. More...
TAO_PSDL_Node * | type_
TAO_PSDL_Node * | unary_expr_

## Detailed Description

****************************************************************.

## Constructor & Destructor Documentation

TAO_PSDL_Mult_Expr::TAO_PSDL_Mult_Expr | ( | TAO_PSDL_Node * | unary_expr | ) |

| ****************************************************************.

TAO_PSDL_Mult_Expr::TAO_PSDL_Mult_Expr | ( | TAO_PSDL_Node * | mult_expr,
|  | TAO_PSDL_Node * | unary_expr
| ) |

TAO_PSDL_Mult_Expr::TAO_PSDL_Mult_Expr | ( | TAO_PSDL_Node * | mult_expr,
|  | TAO_PSDL_Node * | type,
|  | TAO_PSDL_Node * | unary_expr
| ) |

TAO_PSDL_Mult_Expr::~TAO_PSDL_Mult_Expr | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Mult_Expr::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Reimplemented from TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Mult_Expr::mult_expr | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Mult_Expr::type | ( | void |  | ) | const

| Get the value.

TAO_PSDL_Node * TAO_PSDL_Mult_Expr::unary_expr | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Mult_Expr::mult_expr_`[private]`

| The values.

TAO_PSDL_Node* TAO_PSDL_Mult_Expr::type_`[private]`

| Reimplemented from TAO_PSDL_Node.

TAO_PSDL_Node* TAO_PSDL_Mult_Expr::unary_expr_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp